PAPI_set_debug(3)

NAME
PAPI_set_debug - Set the current debug level for error output from PAPI.

SYNOPSIS

Detailed Description

C Prototype:
    #include <papi.h>
     int PAPI_set_debug( int level );

Parameters
    level one of the constants shown in the table below and defined in the papi.h header file.
     The possible debug levels for debugging are shown below.
    •   PAPI_QUIET Do not print anything, just return the error code
    •   PAPI_VERB_ECONT Print error message and continue
    •   PAPI_VERB_ESTOP Print error message and exit

Return values
    PAPI_OK
    PAPI_EINVAL The debug level is invalid.

     The current debug level is used by both the internal error and debug message handler subroutines.
     The debug handler is only used if the library was compiled with -DDEBUG.
     The debug handler is called when there is an error upon a call to the PAPI API.
     The error handler is always active and its behavior cannot be modified except for whether or not it prints anything.
The default PAPI debug handler prints out messages in the following form:
 PAPI Error: Error Code code, symbol, description
If the error was caused from a system call and the return code is PAPI_ESYS, the message will have a colon space and the error string as reported by strerror() appended to the end.
The PAPI error handler prints out messages in the following form:
 PAPI Error: message.

Note
    This is the ONLY function that may be called BEFORE PAPI_library_init().

Example:

    int ret;
    ret = PAPI_set_debug(PAPI_VERB_ECONT);
    if ( ret != PAPI_OK ) handle_error();

See also
    PAPI_library_init
    PAPI_get_opt
    PAPI_set_opt

Author
Generated automatically by Doxygen for PAPI from the source code.